﻿Import-Module grouppolicy

"Alle Gruppenrichtlinien auflisten"
Get-GPO -all 

"Eine Gruppenrichtlinien anzeigen"
Get-GPO -name "developer policy"

"Alle Gruppenrichtlinien mit D* auflisten"
Get-GPO -all | where { $_.displayname -ilike "d*" }

"Alle Gruppenrichtlinien auflisten, die im letzten Monat geändert wurden"
Get-GPO -All | Where-Object { $_.ModificationTime -gt (Get-Date).AddMonths(-1)} | Format-Table

"Alle Gruppenrichtlinien auflisten, die im letzten Jahr nicht geändert wurden"
Get-GPO -All | Where-Object { $_.ModificationTime -lt (Get-Date).AddDays(-365)} | Format-Table
