﻿# Löschen aller nicht verlinkten Gruppenrichtlinienobjekte
# (C) Dr. Holger Schwichtenberg, www.IT-Visions.de 2018

import-module grouppolicy 

# Liste aller GPO
$alleGPO = Get-GPO -All
# Schleife über alle GPO
foreach($gpo in $alleGPO)
{
    "Prüfe GPO $($gpo.DisplayName)..."
    # Erstelle GPO-Bericht in XML
    [xml] $xmlgpo = Get-gpo $gpo.displayname | Get-GPOReport -ReportType xml 
    # Suche <LinksTo>
    $linksTo = $xmlgpo.GPO.LinksTo
    # Anzahl der <LinksTo>-Elemente
    $anzLinks = ($linksTo | measure).Count
    if ($anzLinks -eq 0)
    {
        # Keine Links da!
        Write-host "-> Keine Links gefunden!"
        # Backup!
        $backupziel = "c:\temp\$($gpo.displayname)" 
        md $backupziel -ea SilentlyContinue 
        Backup-GPO $gpo.displayname -path $backupziel
        # Löschen mit Nachfrage
        Remove-GPO $gpo.displayname -Confirm
    }
    else
    {
        # Es gibt Links: Ausgeben der Container
        Write-host "-> $anzLinks gefunden!"
        $linksTo.SOMPath
    }
}